//! Meta-information exposing functions.

use maraiah::{ffi, meta};

macro_rules! meta_str {
	($($name:ident = $e:expr;)*) => {
		$(
			#[no_mangle]
			pub extern "C" fn $name() -> ffi::NT
			{
				$e
			}
		)*
	}
}

meta_str! {
	tychoAuthors     = meta::ffi::authors();
	tychoHomepage    = meta::ffi::homepage();
	tychoLicenseText = meta::ffi::license_text();
	tychoRepository  = meta::ffi::repository();
	tychoVersion     = meta::ffi::version();
}

// EOF
